Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
IfStmtNode Struct Reference

`#include <ast.h>`

Inheritance diagram for IfStmtNode:

## Public Member Functions
void | propagateSwitchExpr (ExprNode *left, bool string)
ExprNode * | getSwitchOR (ExprNode *left, ExprNode *list, bool string)
U32 | precompileStmt (U32 loopCount)
U32 | compileStmt (U32 *codeStream, U32 ip, U32 continuePoint, U32 breakPoint)
Public Member Functions inherited from StmtNode
| StmtNode ()
void | append (StmtNode *next)
StmtNode * | getNext ()
void | addBreakCount ()
void | addBreakLine (U32 ip)
virtual void | setPackage (StringTableEntry packageName)

## Static Public Member Functions
static IfStmtNode * | alloc (S32 lineNumber, ExprNode *testExpr, StmtNode *ifBlock, StmtNode *elseBlock, bool propagateThrough)

## Public Attributes
ExprNode * | testExpr
StmtNode * | ifBlock
StmtNode * | elseBlock
U32 | endifOffset
U32 | elseOffset
bool | integer
bool | propagate
Public Attributes inherited from StmtNode
StmtNode * | next
| Next entry in parse tree. More...
StringTableEntry | dbgFileName
| Name of file this node is associated with. More...
S32 | dbgLineNumber

## Member Function Documentation

IfStmtNode * alloc | ( | S32 | lineNumber,
|  | ExprNode * | testExpr,
|  | StmtNode * | ifBlock,
|  | StmtNode * | elseBlock,
|  | bool | propagateThrough
| ) |  |
| static

U32 compileStmt | ( | U32 * | codeStream,
|  | U32 | ip,
|  | U32 | continuePoint,
|  | U32 | breakPoint
| ) |  |
| virtual

Implements StmtNode.

ExprNode * getSwitchOR | ( | ExprNode * | left,
|  | ExprNode * | list,
|  | bool | string
| ) |  |

U32 precompileStmt | ( | U32 | loopCount | ) |
| virtual

Implements StmtNode.

void propagateSwitchExpr | ( | ExprNode * | left,
|  | bool | string
| ) |  |

## Member Data Documentation

StmtNode * elseBlock

U32 elseOffset

U32 endifOffset

StmtNode* ifBlock

bool integer

bool propagate

ExprNode* testExpr

The documentation for this struct was generated from the following files:

- console/ast.h
- console/astAlloc.cc
- console/astNodes.cc